Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Sphinx documentation fails to build due to logger configuration file. #38

Closed
rorymcgrath opened this issue Mar 11, 2019 · 1 comment

Comments

Projects
1 participant
@rorymcgrath
Copy link
Contributor

commented Mar 11, 2019

Sphinx logs of the first reported failure (March 8th)

[rtd-command-info] start-time: 2019-03-08T15:18:41.597007Z, end-time: 2019-03-08T15:18:42.128740Z, duration: 0, exit-code: 2
python /home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/bin/sphinx-build -T -E -b readthedocs -d _build/doctrees-readthedocs -D language=en . _build/html
Running Sphinx v1.7.9

Traceback (most recent call last):
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/config.py", line 161, in init
execfile_(filename, config)
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/util/pycompat.py", line 150, in execfile_
exec_(code, _globals)
File "conf.py", line 26, in
import ampligraph
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/ampligraph/init.py", line 8, in
logging.config.fileConfig(fname=os.path.join(os.path.abspath(os.path.dirname(file)),'logger.conf'), disable_existing_loggers=False)
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/logging/config.py", line 71, in fileConfig
formatters = _create_formatters(cp)
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/logging/config.py", line 104, in _create_formatters
flist = cp["formatters"]["keys"]
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/configparser.py", line 958, in getitem
raise KeyError(key)
KeyError: 'formatters'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/cmdline.py", line 303, in main
args.warningiserror, args.tags, args.verbosity, args.jobs)
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/application.py", line 163, in init
confoverrides or {}, self.tags)
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/config.py", line 167, in init
raise ConfigError(CONFIG_ERROR % traceback.format_exc())
sphinx.errors.ConfigError: There is a programable error in your configuration file:

Traceback (most recent call last):
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/config.py", line 161, in init
execfile_(filename, config)
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/util/pycompat.py", line 150, in execfile_
exec_(code, _globals)
File "conf.py", line 26, in
import ampligraph
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/ampligraph/init.py", line 8, in
logging.config.fileConfig(fname=os.path.join(os.path.abspath(os.path.dirname(file)),'logger.conf'), disable_existing_loggers=False)
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/logging/config.py", line 71, in fileConfig
formatters = _create_formatters(cp)
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/logging/config.py", line 104, in _create_formatters
flist = cp["formatters"]["keys"]
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/configparser.py", line 958, in getitem
raise KeyError(key)
KeyError: 'formatters'

Configuration error:
There is a programable error in your configuration file:

Traceback (most recent call last):
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/config.py", line 161, in init
execfile_(filename, config)
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/sphinx/util/pycompat.py", line 150, in execfile_
exec_(code, _globals)
File "conf.py", line 26, in
import ampligraph
File "/home/docs/checkouts/readthedocs.org/user_builds/accenture-labs-ampligraph/envs/latest/lib/python3.7/site-packages/ampligraph/init.py", line 8, in
logging.config.fileConfig(fname=os.path.join(os.path.abspath(os.path.dirname(file)),'logger.conf'), disable_existing_loggers=False)
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/logging/config.py", line 71, in fileConfig
formatters = _create_formatters(cp)
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/logging/config.py", line 104, in _create_formatters
flist = cp["formatters"]["keys"]
File "/home/docs/.pyenv/versions/3.7.1/lib/python3.7/configparser.py", line 958, in getitem
raise KeyError(key)
KeyError: 'formatters'

@rorymcgrath rorymcgrath created this issue from a note in AmpliGraph 1.0 (To do) Mar 11, 2019

@rorymcgrath rorymcgrath added the bug label Mar 11, 2019

@rorymcgrath rorymcgrath changed the title Documentation fails to build. Documentation fails to build just to logger configuration file. Mar 11, 2019

@rorymcgrath rorymcgrath changed the title Documentation fails to build just to logger configuration file. Documentation fails to build due to logger configuration file. Mar 11, 2019

@rorymcgrath rorymcgrath self-assigned this Mar 11, 2019

@rorymcgrath rorymcgrath moved this from To do to In progress in AmpliGraph 1.0 Mar 11, 2019

@rorymcgrath rorymcgrath changed the title Documentation fails to build due to logger configuration file. Sphinx documentation fails to build due to logger configuration file. Mar 11, 2019

@rorymcgrath rorymcgrath added the sphinx label Mar 11, 2019

@rorymcgrath

This comment has been minimized.

Copy link
Contributor Author

commented Mar 11, 2019

The documentation is successfully building in Jenkins.
@lukostaz If you can verify that readTheDocs has correctly updated and I will close the issue.

AmpliGraph 1.0 automation moved this from In progress to Done Mar 11, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.